Subject: Re: [bug#50793] [PATCH 1/2] gnu: Add JSON.sh

From: Sarah Morgensen <[email-masked]>
Date: Sat, 25 Sep 2021 20:02:18 -0700

Hi,

Stephen Paul Weber <[email-masked]> writes:

>>> +(define-public JSON.sh
>>> +  (package
>>> +    (name "JSON.sh")
>>
>>I can't find a rule for this per se, but it's convention that package
>>names to be lowercase (and for the variable name to match).
>
> Ok. Should I keep the . for "json.sh" or go with "jsonsh" ?  Should I change the
> script/command name to match?

I'd keep the dot in the package name.  We don't want to modify the
actual script name in the package, though (we try to leave the actual
contents of packages as unmodified as possible).

>
>>> +                         '("grep" "coreutils"))
>>
>>Does this script actually use coreutils?
>
> It uses printf

'printf' should just be calling the shell builtin:

--8<---------------cut here---------------start------------->8---
$ type printf
printf is a shell builtin
--8<---------------cut here---------------end--------------->8---

--
Sarah